Get song chart list by platform

The Get platforms for song charts endpoint lists available platforms for song charts.

Note: the platform “Airplay” is used for all radio charts made by Soundcharts.

Request

GET /api/v2/chart/song/by-platform/{platform}

Path parameters

Parameter Value Description Additional
platform string A song chart platform code Required

Query string parameters

Parameter Value Description Additional
countryCode string Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Song Chart Collection response

Chart Collection
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Platform not found

Explore

A song chart platform code

Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2)

Get results starting from position

Number of results (max. 100)

Try it out